# Gnome::GdaUI::Cloud Class Reference

Cloud - Cloud widget. More...

Inherits Gtk::VBox, and Gnome::GdaUI::DataSelector.

Collaboration diagram for Gnome::GdaUI::Cloud:
[legend]

List of all members.

## Public Types

typedef sigc::slot< double, const Glib::RefPtr < Gnome::Gda::DataModel > &, int > | SlotWeight
| For example, double on_weight(const Glib::RefPtr<Gnome::Gda::DataModel>& model, int row);.

## Public Member Functions

virtual | ~Cloud ()
GdauiCloud* | gobj ()
| Provides access to the underlying C GtkObject.
const GdauiCloud* | gobj () const
| Provides access to the underlying C GtkObject.
| Cloud (const Glib::RefPtr< Gnome::Gda::DataModel >& model, int label_column, int weight_column)
| Creates a new Gdaui::Cloud widget suitable to display the data in model.
void | set_selection_mode (Gtk::SelectionMode mode)
| Sets cloud's selection mode.
void | filter (const Glib::ustring& filter)
| Filters the elements displayed in cloud, by altering their color.
Gtk::Widget* | create_filter_widget ()
| Creates a search widget linked directly to modify cloud's appearance.
const Gtk::Widget* | create_filter_widget () const
| Creates a search widget linked directly to modify cloud's appearance.
void | set_weight_slot (const SlotWeight& slot)
| Specifies a slot called to compute each row's respective weight.
void | unset_weight_slot ()
| Unsets a previously set weight computing slot.
Glib::SignalProxy1< void, int > | signal_activate ()
Glib::PropertyProxy< int > | property_label_column ()
| Column in the data model which contains the text to display.
Glib::PropertyProxy_ReadOnly< int > | property_label_column () const
| Column in the data model which contains the text to display.
Glib::PropertyProxy< double > | property_max_scale ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < double > | property_max_scale () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy< double > | property_min_scale ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < double > | property_min_scale () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy < Glib::RefPtr < Gnome::Gda::DataModel > > | property_model ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr < Gnome::Gda::DataModel > > | property_model () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy< int > | property_weight_column ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< int > | property_weight_column () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.

## Protected Member Functions

virtual void | on_activate (int column)

## Related Functions

(Note that these are not member functions.)
Gnome::GdaUI::Cloud* | wrap (GdauiCloud* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Cloud - Cloud widget.

The Cloud widget displays a string for each row in a Gnome::Gda::DataModel for which the size is variable (determined either by some data in the data model, or by a function provided by the programmer).

Depending on the selection mode of the widget, each string can be selected by the user and the signal_selection_changed() is emitted.

## Member Typedef Documentation

typedef sigc::slot<double, const Glib::RefPtr<Gnome::Gda::DataModel>&, int> Gnome::GdaUI::Cloud::SlotWeight

For example, double on_weight(const Glib::RefPtr<Gnome::Gda::DataModel>& model, int row);.

## Constructor & Destructor Documentation

virtual Gnome::GdaUI::Cloud::~Cloud | ( |  | ) | `[virtual]`

Gnome::GdaUI::Cloud::Cloud | ( | const Glib::RefPtr< Gnome::Gda::DataModel > & | model,
|  | int | label_column,
|  | int | weight_column |
| ) |  |  | `[explicit]`

Creates a new Gdaui::Cloud widget suitable to display the data in model.

Parameters:

  | model | A Gda::DataModel.

Returns:
  The new widget

Since libgda-uimm 4.2:

## Member Function Documentation

const Gtk::Widget* Gnome::GdaUI::Cloud::create_filter_widget | ( |  | ) | const

Creates a search widget linked directly to modify cloud's appearance.

Returns:
  A new widget

Since libgda-uimm 4.2:

Gtk::Widget* Gnome::GdaUI::Cloud::create_filter_widget | ( |  | ) |

Creates a search widget linked directly to modify cloud's appearance.

Returns:
  A new widget

Since libgda-uimm 4.2:

void Gnome::GdaUI::Cloud::filter | ( | const Glib::ustring & | filter | ) |

Filters the elements displayed in cloud, by altering their color.

Since libgda-uimm 4.2:

Parameters:

  | filter | The filter to use, or `0` to remove any filter.

const GdauiCloud* Gnome::GdaUI::Cloud::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::VBox.

GdauiCloud* Gnome::GdaUI::Cloud::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::VBox.

virtual void Gnome::GdaUI::Cloud::on_activate | ( | int | column | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<int> Gnome::GdaUI::Cloud::property_label_column | ( |  | ) | const

Column in the data model which contains the text to display.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gnome::GdaUI::Cloud::property_label_column | ( |  | ) |

Column in the data model which contains the text to display.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Gnome::GdaUI::Cloud::property_max_scale | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Gnome::GdaUI::Cloud::property_max_scale | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Gnome::GdaUI::Cloud::property_min_scale | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Gnome::GdaUI::Cloud::property_min_scale | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gnome::Gda::DataModel> > Gnome::GdaUI::Cloud::property_model | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gnome::Gda::DataModel> > Gnome::GdaUI::Cloud::property_model | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gnome::GdaUI::Cloud::property_weight_column | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gnome::GdaUI::Cloud::property_weight_column | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gnome::GdaUI::Cloud::set_selection_mode | ( | Gtk::SelectionMode | mode | ) |

Sets cloud's selection mode.

Since libgda-uimm 4.2:

Parameters:

  | mode | The desired selection mode.

void Gnome::GdaUI::Cloud::set_weight_slot | ( | const SlotWeight & | slot | ) |

Specifies a slot called to compute each row's respective weight.

Parameters:

  | func | a slot which computes weights.

Since libgda-uimm 4.2:

Glib::SignalProxy1< void,int > Gnome::GdaUI::Cloud::signal_activate | ( |  | ) |

Prototype:
  `void on_my_activate(int column)`

void Gnome::GdaUI::Cloud::unset_weight_slot | ( |  | ) |

Unsets a previously set weight computing slot.

Since libgda-uimm 4.2:

## Friends And Related Function Documentation

Gnome::GdaUI::Cloud* wrap | ( | GdauiCloud * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgda-uimm/cloud.h